from django.db import models


class Album(models.Model):
    idalbum = models.IntegerField(primary_key=True)
    naziv = models.CharField(max_length=45)
    cena = models.CharField(max_length=45)
    godina = models.CharField(max_length=45)
    opis = models.CharField(max_length=125)
    preostalo = models.IntegerField()

    class Meta:
        managed = False
        db_table = 'album'


class Bend(models.Model):
    izvodjac_idizvodjac = models.OneToOneField('Izvodjac', models.DO_NOTHING, db_column='izvodjac_idizvodjac', primary_key=True)

    class Meta:
        managed = False
        db_table = 'bend'


class Izvodjac(models.Model):
    idizvodjac = models.IntegerField(primary_key=True)
    naziv = models.CharField(max_length=45)

    class Meta:
        managed = False
        db_table = 'izvodjac'


class Korisnik(models.Model):
    korime = models.CharField(primary_key=True, max_length=45)
    lozinka = models.CharField(max_length=45)
    ime = models.CharField(max_length=45)
    prezime = models.CharField(max_length=45)
    datum = models.DateField()

    class Meta:
        managed = False
        db_table = 'korisnik'


class Mesto(models.Model):
    idmesto = models.IntegerField(primary_key=True)
    naziv = models.CharField(max_length=45)

    class Meta:
        managed = False
        db_table = 'mesto'


class Soloizvodjac(models.Model):
    izvodjac_idizvodjac = models.OneToOneField(Izvodjac, models.DO_NOTHING, db_column='izvodjac_idizvodjac', primary_key=True)
    datum = models.DateField()

    class Meta:
        managed = False
        db_table = 'soloizvodjac'


class Zanr(models.Model):
    idzanr = models.IntegerField(primary_key=True)
    naziv = models.CharField(max_length=45)

    class Meta:
        managed = False
        db_table = 'zanr'
